%global spec_ver 1.1
%global spec_name geronimo-jaxrpc_%{spec_ver}_spec

Name:             geronimo-jaxrpc
Version:          2.1
Release:          %mkrel 13
Group:            Development/Java
Summary:          Java EE: Java API for XML Remote Procedure Call v1.1
License:          ASL 2.0 and W3C

URL:              http://geronimo.apache.org/
Source0:          http://repo2.maven.org/maven2/org/apache/geronimo/specs/%{spec_name}/%{version}/%{spec_name}-%{version}-source-release.tar.gz
Source1:          %{name}.depmap
BuildArch:        noarch

BuildRequires:    java-devel >= 1:1.6.0
BuildRequires:    jpackage-utils
BuildRequires:    maven-local
BuildRequires:    geronimo-parent-poms
BuildRequires:    maven-resources-plugin
BuildRequires:    saaj_api
BuildRequires:    geronimo-osgi-locator
BuildRequires:    tomcat-servlet-3.0-api
BuildRequires:    maven-surefire-provider-junit

Provides:         jaxrpc_api = %{spec_ver}

%description
This package contains the core JAX-RPC APIs for the client programming model.

%package javadoc
Summary:          Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.


%prep
%setup -q -n %{spec_name}-%{version}
iconv -f iso8859-1 -t utf-8 LICENSE > LICENSE.conv && mv -f LICENSE.conv LICENSE
sed -i 's/\r//' LICENSE NOTICE
# Use parent pom files instead of unavailable 'genesis-java5-flava'
%pom_set_parent org.apache.geronimo.specs:specs:1.4

%mvn_alias : javax.xml:jaxrpc-api
%mvn_file : %{name} jaxrpc

cat >>.xmvn/config.d/mvn-rpmbuild-config.xml <<EOF
<configuration>
  <resolverSettings>
    <metadataRepositories>
      <repository>%{SOURCE1}</repository>
    </metadataRepositories>
  </resolverSettings>
</configuration>
EOF

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc LICENSE NOTICE

%files javadoc -f .mfiles-javadoc
%doc LICENSE NOTICE


%changelog
* Fri Jan 03 2014 dmorgan <dmorgan> 2.1-13.mga4
+ Revision: 564136
- Build with xmvn

* Fri Oct 18 2013 umeabot <umeabot> 2.1-12.mga4
+ Revision: 522371
- Mageia 4 Mass Rebuild

* Wed Feb 27 2013 dmorgan <dmorgan> 2.1-11.mga3
+ Revision: 400481
- Add missing demap

* Sat Jan 12 2013 dmorgan <dmorgan> 2.1-5.mga3
+ Revision: 356986
- Build with maven 3

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Dec 07 2011 gil <gil> 2.1-4.mga2
+ Revision: 178317
- obsoletes geronimo-jaxrpc-1_1-api

  + dmorgan <dmorgan>
    - Add provides

* Tue Jul 19 2011 dmorgan <dmorgan> 2.1-2.mga2
+ Revision: 126342
- imported package geronimo-jaxrpc


* Mon Aug 2 2010 Chris Spike <chris.spike@arcor.de> 2.1-2
- Changed BR from 'servlet' to 'servlet >= 2.5'

* Thu Jul 22 2010 Chris Spike <chris.spike@arcor.de> 2.1-1
- Initial version of the package
